Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Xabsl2RelationalAndEqualityOperator Class Reference

Base class for the operators <, <=, >, >=, == and !=. More...

`#include <Xabsl2BooleanExpression.h>`

Inheritance diagram for Xabsl2RelationalAndEqualityOperator:

[legend]
Collaboration diagram for Xabsl2RelationalAndEqualityOperator:

[legend]
List of all members.

## Public Member Functions
void | create (Xabsl2DecimalExpression *operand1, Xabsl2DecimalExpression *operand2)
| Creates the element.
| ~Xabsl2RelationalAndEqualityOperator ()
| Destructor.
virtual bool | getValue ()=0
| Evaluates the boolean expression.
## Protected Attributes
Xabsl2DecimalExpression * | operand1
| operand 1
Xabsl2DecimalExpression * | operand2
| operand 2

## Detailed Description

Base class for the operators <, <=, >, >=, == and !=.

Author:
  Martin Lötzsch

Definition at line 252 of file Xabsl2BooleanExpression.h.

## Constructor & Destructor Documentation

Xabsl2RelationalAndEqualityOperator::~Xabsl2RelationalAndEqualityOperator | ( |  | ) |

| Destructor. Deletes the two operands Definition at line 343 of file Xabsl2BooleanExpression.cpp. References operand2.

## Member Function Documentation

void Xabsl2RelationalAndEqualityOperator::create | ( | Xabsl2DecimalExpression * | operand1,
|  | Xabsl2DecimalExpression * | operand2
| ) |

  | Creates the element. Parameters:
  operand1 | A decimal expression
  operand2 | A decimal expression
Definition at line 336 of file Xabsl2BooleanExpression.cpp. Referenced by Xabsl2BooleanExpression::create().

virtual bool Xabsl2RelationalAndEqualityOperator::getValue | ( |  | ) | `[pure virtual]`

| Evaluates the boolean expression. Implements Xabsl2BooleanExpression. Implemented in Xabsl2EqualToOperator, Xabsl2NotEqualToOperator, Xabsl2LessThanOperator, Xabsl2LessThanOrEqualToOperator, Xabsl2GreaterThanOperator, and Xabsl2GreaterThanOrEqualToOperator.

## Member Data Documentation

Xabsl2DecimalExpression* Xabsl2RelationalAndEqualityOperator::operand1`[protected]`

| operand 1 Definition at line 271 of file Xabsl2BooleanExpression.h.

Xabsl2DecimalExpression* Xabsl2RelationalAndEqualityOperator::operand2`[protected]`

| operand 2 Definition at line 274 of file Xabsl2BooleanExpression.h. Referenced by ~Xabsl2RelationalAndEqualityOperator().

The documentation for this class was generated from the following files:

- Tools/Xabsl2/Xabsl2Engine/Xabsl2BooleanExpression.h
- Tools/Xabsl2/Xabsl2Engine/Xabsl2BooleanExpression.cpp